#!/bin/bash
version=2.1.0
ssh -F config/ssh_config Armadillo "awk '\$1 == \"extra_os.a6e-gw-container\" && \$2 < \"${version}\" \
    {print \"WARNING: This project requires a6e-gw-container version >= ${version}\"}' \
    /etc/sw-versions"
tar -C app/src -cz . | ssh -F config/ssh_config Armadillo 'd=/var/app/rollback/volumes/gw_container/src/customize; rm -rf $d && mkdir -p $d && tar -C $d -xz'
scp -F config/ssh_config app/config/{sensing_mgr.conf,cloud_agent.conf} Armadillo:/var/app/rollback/volumes/gw_container/config/
ssh -F config/ssh_config Armadillo podman_start a6e-gw-container
